#
# spec file for package lib765
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  3
Name:           lib765
Version:        0.4.2
Release:        1.36
Summary:        Library for emulating the uPD765a floppy controller
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://www.seasip.demon.co.uk/Unix/LibDsk/#765
Source:         lib765-%{version}.tar.gz
BuildRequires:  libbz2-devel
BuildRequires:  libdsk-devel
BuildRequires:  libtool
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Lib765 converts uPD765a floppy controller commands into LibDsk API calls.
It should come in handy if you're writing a PCW, CPC or Spectrum+3 emulator;
if you want to use it in a PC emulator, you'll need to add features such as DMA.

%package -n lib765-%{soname}
Summary:        Library for emulating the uPD765a floppy controller
Group:          System/Libraries

%description -n lib765-%{soname}
Lib765 converts uPD765a floppy controller commands into LibDsk API calls.
It should come in handy if you're writing a PCW, CPC or Spectrum+3 emulator;
if you want to use it in a PC emulator, you'll need to add features such as DMA.

%package -n lib765-devel
Summary:        Library for emulating the uPD765a floppy controller (development files)
Group:          Development/Libraries/C and C++
Requires:       libdsk-devel
Requires:       lib765-%{soname} = %{version}

%description -n lib765-devel
This package contains files needed for development with the lib765 library.

%prep
%setup -q -n lib765-%{version}

%build
#shiped libtool stuff seems broken on x86_64
autoreconf -if
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n lib765-%{soname} -p /sbin/ldconfig

%postun -n lib765-%{soname} -p /sbin/ldconfig

%files -n lib765-%{soname}
%defattr(-,root,root)
%{_libdir}/lib765*.so.*
%doc doc/COPYING.LIB

%files -n lib765-devel
%defattr(-,root,root)
%{_libdir}/lib765.so
%{_includedir}/765.h
%doc ChangeLog
%doc doc/765.txt

%changelog
* Sun Nov 23 2014 serbalgi@gmail.com
- Update to version 0.4.2.
  * Increased buffer size to fix multisector reads on high-density disc images.
- Update libtool scripts to fix the build for x86_64.
- Modernize package license.
- Several spec fixes.
